<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/ExternalMediaPlayer/AdapterUtils.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li><li class="navelem"><a class="el" href="dir_7c0f72e3b40394b6419f2d29748370b1.html">ExternalMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AdapterUtils.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_namespace_and_name_8h_source.html">AVSCommon/AVS/NamespaceAndName.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_external_media_adapter_interface_8h_source.html">AVSCommon/SDKInterfaces/ExternalMediaAdapterInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_retry_timer_8h_source.html">AVSCommon/Utils/RetryTimer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AdapterUtils.h:</div>
<div class="dyncontent">
<div class="center"><img src="_adapter_utils_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8h">
<area shape="rect" id="node6" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="435,205,664,244"/>
<area shape="rect" id="node8" href="_external_media_adapter_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaAdapterInterface.h" alt="" coords="714,119,934,157"/>
<area shape="rect" id="node15" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="957,125,1168,151"/>
<area shape="rect" id="node9" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="738,205,926,244"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_adapter_utils_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_external_media_player_2_adapter_utils_8hdep">
<area shape="rect" id="node2" href="_adapter_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/ExternalMediaPlayer/AdapterUtils.cpp" alt="" coords="5,125,255,177"/>
<area shape="rect" id="node3" href="_external_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/src\l/ExternalMediaPlayer.cpp" alt="" coords="279,119,451,184"/>
</map>
</div>
</div>
<p><a href="_adapter_utils_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html">alexaClientSDK::avsCommon::avs::externalMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a9db5370bd7f48ffbb9a3cf067af2e3cf"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cf">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa838d016031b2feff18b3d1ea064276de">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::CHANGE_REPORT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfabb23eb369358d4b4400a10f0770c62a7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::REQUEST_TOKEN</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa4976d7ca80f2cb54c1c7d5c87fb0c7ef">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::LOGIN</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa6b4ea69e17243db95f7b46c384d40370">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::LOGOUT</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa9dcb72115ccc5b63e1909d355d05da4a">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::PLAYER_EVENT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfadb04fbf932e420769f440103697b0b95">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::PLAYER_ERROR_EVENT</a>
<br />
 }</td></tr>
<tr class="memdesc:a9db5370bd7f48ffbb9a3cf067af2e3cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration class for events sent by adapters to AVS.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cf">More...</a><br /></td></tr>
<tr class="separator:a9db5370bd7f48ffbb9a3cf067af2e3cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac1a9579566d265c2697f5cea55fd9207"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ac1a9579566d265c2697f5cea55fd9207">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSupportedOperations</a> (const std::vector&lt; avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation &gt; &amp;supportedOperations, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:ac1a9579566d265c2697f5cea55fd9207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e27177be092019841c39d05ef01d77d"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a7e27177be092019841c39d05ef01d77d">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildPlaybackState</a> (const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState &amp;playbackState, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:a7e27177be092019841c39d05ef01d77d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4af4a9e2dd624d73fd37d6ef7fb3a6ff"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a4af4a9e2dd624d73fd37d6ef7fb3a6ff">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSessionState</a> (const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState &amp;sessionState, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:a4af4a9e2dd624d73fd37d6ef7fb3a6ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab708a95526e534c4a580f50031ce86d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ab708a95526e534c4a580f50031ce86d8">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildDefaultPlayerState</a> (rapidjson::Value *document, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:ab708a95526e534c4a580f50031ce86d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a794e32efa8876328dcea393956b83884"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a794e32efa8876328dcea393956b83884">alexaClientSDK::avsCommon::avs::externalMediaPlayer::SESSION_RETRY_TABLE</a></td></tr>
<tr class="memdesc:a794e32efa8876328dcea393956b83884"><td class="mdescLeft">&#160;</td><td class="mdescRight">Table with the retry times on subsequent retries for session management (token fetch/changeReport send).  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a794e32efa8876328dcea393956b83884">More...</a><br /></td></tr>
<tr class="separator:a794e32efa8876328dcea393956b83884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd2fa1015fef24596cb189ed6f4c0aa3"><td class="memItemLeft" align="right" valign="top">avsCommon::utils::RetryTimer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#acd2fa1015fef24596cb189ed6f4c0aa3">alexaClientSDK::avsCommon::avs::externalMediaPlayer::SESSION_RETRY_TIMER</a></td></tr>
<tr class="memdesc:acd2fa1015fef24596cb189ed6f4c0aa3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The retry timer for session management (token fetch/changeReport send).  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#acd2fa1015fef24596cb189ed6f4c0aa3">More...</a><br /></td></tr>
<tr class="separator:acd2fa1015fef24596cb189ed6f4c0aa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9e72928b157ee39ed0100cf419af6a"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a5b9e72928b157ee39ed0100cf419af6a">alexaClientSDK::avsCommon::avs::externalMediaPlayer::CHANGE_REPORT</a></td></tr>
<tr class="separator:a5b9e72928b157ee39ed0100cf419af6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146fadc7645c37e5e4b3cd1edd3ce713"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a146fadc7645c37e5e4b3cd1edd3ce713">alexaClientSDK::avsCommon::avs::externalMediaPlayer::REQUEST_TOKEN</a></td></tr>
<tr class="separator:a146fadc7645c37e5e4b3cd1edd3ce713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a319c9ed29aedd60c2a42654dcb6cc134"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a319c9ed29aedd60c2a42654dcb6cc134">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGIN</a></td></tr>
<tr class="separator:a319c9ed29aedd60c2a42654dcb6cc134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88183461ac558da2f07bd3852ff347ec"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a88183461ac558da2f07bd3852ff347ec">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGOUT</a></td></tr>
<tr class="separator:a88183461ac558da2f07bd3852ff347ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ebaffc4686512d00dbf80d36c8ff2b7"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9ebaffc4686512d00dbf80d36c8ff2b7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_EVENT</a></td></tr>
<tr class="separator:a9ebaffc4686512d00dbf80d36c8ff2b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c1e9f420f4748b7c2765911b1e93d7"><td class="memItemLeft" align="right" valign="top">const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aa0c1e9f420f4748b7c2765911b1e93d7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_ERROR_EVENT</a></td></tr>
<tr class="separator:aa0c1e9f420f4748b7c2765911b1e93d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
